- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_collection_t

# mongoc_collection_drop_index()

## Synopsis

    bool
    mongoc_collection_drop_index (mongoc_collection_t *collection,
                                  const char *index_name,
                                  bson_error_t *error);

## Parameters

- `collection`: A mongoc_collection_t.
- `index_name`: A string containing the name of the index.
- `error`: An optional location for a bson_error_t or `NULL`.

## Description

For more information, see mongoc_collection_drop_with_opts(). This function is a thin wrapper, passing `NULL` in as `bson_t` parameter.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.